Dependency Analysis API

Query dependency analysis events and findings via the Nullify API

Current endpoints use both the /sca & classifier/deps prefixes. /sca prefixed endpoints include detailed findings and remediation methods while classifier/deps provide methods for searching source history.

Base URL

https://api.<TENANT>.nullify.ai

List Active Dependencies

List org wide active package dependencies org wide (paginated):

List Tenant Wide Active Dependencies

get

Returns dependencies that are active across all repositories/projects.

Query parameters
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
pageSizeinteger · int32Optional
cursorstringOptional
Responses
chevron-right
200

OK

application/json
nextCursorstringRequired
numItemsintegerRequired
versionstringRequired
get
/classifier/deps/active

List Dependency History

List org wide dependency occurrence windows (paginated):

List Tenant Wide Dependencies (Historical)

get

Returns dependency history across all repositories/projects.

Query parameters
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
pageSizeinteger · int32Optional
cursorstringOptional
Responses
chevron-right
200

OK

application/json
nextCursorstringRequired
numItemsintegerRequired
versionstringRequired
get
/classifier/deps

Get package exposure

List projects with dependency exposure (active and historical) matching the ecosystem/package & semver range query:

Global package exposure by version filter (semver or hash)

get

Returns exposure windows across all repositories/projects intersecting a version filter (server-side filtering).

Query parameters
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
ecosystemstring · nullableOptional
namestring · nullableOptional
rangestring · nullableOptional
Responses
chevron-right
200

OK

application/json
numItemsintegerRequired
versionstringRequired
get
/classifier/deps/exposure

Events

Track dependency alerts, suppressions, and auto-remediation updates:

Get SCA Events

get

Returns SCA events after a specified timestamp or event ID. All events are returned if no timestamp or event ID is provided. A maximum of 100 events can be returned per request.

Query parameters
nextTokenstring · nullableOptional
limitinteger · nullableOptional
fromTimestring · nullableOptional
eventTypestring[]Optional
fileOwnerNamestring[]Optional
sortstring · nullableOptional
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Responses
chevron-right
200

OK

application/json
nextTokenstringRequired
numItemsintegerRequired
versionstringRequired
get
/sca/events

List Findings

Fetch the current dependency findings (including reachability and policy status):

Get a Finding

Retrieve detailed metadata, including recommended upgrades and reachability reasoning:

Allowlist a Finding

Pause alerting when you accept the risk for a dependency finding:

Trigger Autofix

Generate an upgrade pull request with lockfile updates and changelog context:

Finding Events

Audit every change applied to a dependency finding:

Container Findings

Dependency Analysis also evaluates container images. Use the container endpoints to fetch and triage those findings:

Get SCA Container Findings

get

Returns a filtered set of SCA container findings based on query parameters

Query parameters
nextTokenstring · nullableOptional
limitinteger · nullableOptional
packagestring · nullableOptional
fileOwnerNamestring[]Optional
branchstring · nullableOptional
workflowstring · nullableOptional
isFalsePositiveboolean · nullableOptional
isFixedboolean · nullableOptional
isAllowlistedboolean · nullableOptional
isResolvedboolean · nullableOptional

combination of isFixed, isFalsePositive and isAllowlisted

sortBystring · nullableOptional
sortstring · nullableOptional
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Responses
chevron-right
200

OK

application/json
nextTokenstringRequired
numItemsintegerRequired
versionstringRequired
get
/sca/containers/findings

Last updated